@charset "UTF-8";
/* CSS Document */
/*---------------------------

    共通項目

---------------------------*/
html {
    font-size: 62.5%;
    margin-top: 0;
}
body {
    position: relative;
    letter-spacing: 0.07em;
    line-height: 2;
    font-size: 1.8rem;
	color:#000;
    max-width: 100%;
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: 500;
    cursor: none;
}
.breadcrumb{
	font-size: 1.2rem;
	padding:6px 30px;
	background: #fbfbfb;
}
.breadcrumb .cf {
    max-width: 1150px;
    margin: 0 auto;
}
a {
    cursor: none;
}
.pconly {
    display: block;
}
.sponly {
    display: none;
}
@media screen and (max-width:780px) {
    .sponly {
        display: block;
    }
    .pconly {
        display: none;
    }
}
/*---------------------------

   文字

---------------------------*/
.noto-sans {
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}
.noto-serif {
  font-family: "Noto Serif JP", serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}
.fahkwang {
  font-family: "Fahkwang", sans-serif;
  font-weight: 400;
  font-style: normal;
}
h1,h2,h3,h4,h5 {
    font-weight: 900;
    line-height: 1.4;
}
small{
    font-size: 1.2rem;
}
p,th,td,input,textarea,select,ul li {
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 2;
}
h2 {
    font-size: 8rem;
    font-weight: 200;
    background:linear-gradient(90deg, #228FF2,#B1D0FE), url("data:image/svg+xml,%3Csvg viewBox='0 0 200 200' xmlns='http://www.w3.org/2000/svg'%3E%3Cfilter id='noiseFilter'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.9' numOctaves='3' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noiseFilter)' opacity='0.37'/%3E%3C/svg%3E");
    background-size: 480px 480px;
    -webkit-background-clip:text;
	-webkit-text-fill-color: transparent;
    padding-bottom: 80px;
    min-width: 0;
    overflow-wrap: anywhere;
}
h3 {
    font-size: 2.2rem;
    font-weight: 400;
    border-bottom: solid 1px #727272;
    padding-bottom: 5px;
}
h4 {
    font-size: 5rem;
    font-weight: 400;
    padding-right: 20px;
}
@media screen and (max-width:1150px) {
    h2 {
        font-size: 6rem;
    }
    h4 {
        font-size: 3.5rem;
    }
}
@media screen and (max-width:780px) {
    h2 {
        font-size: 4.5rem;
        padding-bottom: 10px;
    }
    h3 {
        font-size: 2rem;
    }
    p,th,td,input,textarea,select,ul li {
        font-size: 1.2rem;
        line-height: 1.8;
    }
    h4 {
        padding: 0;
    }
}
/*---------------------------

   背景

---------------------------*/
.backgray {
    background-color: #ffffff;
    background-image: 
        url("data:image/svg+xml,%3Csvg viewBox='0 0 200 200' xmlns='http://www.w3.org/2000/svg'%3E%3Cfilter id='noiseFilter'%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.9' numOctaves='3' stitchTiles='stitch'/%3E%3C/filter%3E%3Crect width='100%25' height='100%25' filter='url(%23noiseFilter)' opacity='0.37'/%3E%3C/svg%3E");
    background-size: 200px 200px;
    width: 100%;
}
/*---------------------------

   ナビゲーションメニュー

---------------------------*/
.menu-wrap{
    position:fixed;
    top:30px;
    right:max(
        30px,
        calc((100vw - 1000px) / 2)
    );
    z-index:1000;
}
.menu-bg{
    background:#fff;
}
.menu-logo{
    z-index:1002;
}
.menu-logo img{
    width:100px;
    display:block;
}
.nav{
    z-index:1002;
}
.nav a{
    color:#111;
    text-decoration:none;
    font-weight:500;
    font-size: 1.6rem;
    letter-spacing:.08em;
    position:relative;
}
.menu-btn{
    width:50px;
    height:50px;
    border:none;
    background:none;
    cursor: none;
    position:relative;
    z-index:1003;
}
.menu-btn span{
    position:absolute;
    left:14px;
    width:24px;
    height:2px;
    background:#111;
    transition:.4s;
}
.menu-btn span:nth-child(1){
    top:17px;
}
.menu-btn span:nth-child(2){
    top:25px;
}
.menu-btn span:nth-child(3){
    top:33px;
}
body.menu-open{
    overflow:hidden;
}
    .menu-wrap.active .menu-btn span:nth-child(1){
        transform:
            translateY(8px)
            rotate(45deg);
    }
    .menu-wrap.active .menu-btn span:nth-child(2){
        opacity:0;
    }
    .menu-wrap.active .menu-btn span:nth-child(3){
        transform:
            translateY(-8px)
            rotate(-45deg);
    }
@media screen and (min-width:781px){
.menu-btn{
        position:absolute;
        top:0;
        right:0;
    }
    .menu-bg{
        width:50px;
        height:50px;
        border-radius:999px;
        display:flex;
        align-items:center;
        overflow:hidden;
        background:rgba(255,255,255,.8);
        backdrop-filter:blur(10px);
        transition:
            width .8s cubic-bezier(.22,1,.36,1),
            background .3s ease;
    }
    .menu-wrap:hover .menu-bg,
    .menu-wrap.active .menu-bg{
        width:1000px;
        background:#fff;
    }
    .menu-logo{
        position:absolute;
        left:40px;
        top:50%;
        transform:
            translateY(-50%);

        opacity:0;
        transition:.4s;
        pointer-events:none;
    }
    .menu-wrap:hover .menu-logo,
    .menu-wrap.active .menu-logo{
        opacity:1;
    }
    .nav{
        position:absolute;
        right:90px;
        top:50%;
        transform:
            translateY(-50%)
            translateX(20px);
        display:flex;
        gap:42px;
        opacity:0;
        pointer-events:none;
        transition:
        opacity .1s ease;
    }
    .menu-wrap:hover .nav,
    .menu-wrap.active .nav{
        opacity:1;
        transform:
            translateY(-50%)
            translateX(0);
        pointer-events:auto;
        transition:
        opacity .3s ease .45s;
    }
}
@media screen and (max-width:780px){
    .menu-wrap{
        top:20px;
        right:20px;
    }
    .menu-bg{
        position:fixed;
        top:20px;
        right:20px;
        width:50px;
        height:50px;
        border-radius:50%;
        background:#fff;
        transform:scale(1);
        transform-origin:center center;
        transition:
            transform .7s cubic-bezier(.22,1,.36,1);
        z-index:1000;
    }
    .menu-wrap.active .menu-bg{
        transform:scale(60);
    }
    .menu-btn{
        position:fixed;
        top:20px;
        right:20px;
        z-index:1003;
    }
    .menu-logo{
        position:fixed;
        top:30px;
        left:30px;
        opacity:0;
        transition:.4s;
        z-index:1002;
    }
    .menu-wrap.active .menu-logo{
        opacity:1;
    }
    .nav{
        position:fixed;
        inset:0;
        display:flex;
        flex-direction:column;
        justify-content:center;
        align-items:center;
        gap:30px;
        opacity:0;
        visibility:hidden;
        transform:translateY(15px);
        pointer-events:none;
        z-index:1001;
        transition:
            opacity .4s ease,
            transform .4s ease,
            visibility 0s linear .4s;
    }
    .menu-wrap.active .nav{
        opacity:1;
        visibility:visible;
        transform:translateY(0);
        pointer-events:auto;
        transition:
            opacity .4s ease .15s,
            transform .4s ease .15s;
    }
    .nav a{
        font-size:1.6rem;
    }
}
/*---------------------------

    コンテンツ幅

---------------------------*/
.width1150 {
    width: 100%;
    max-width: 1150px;
    margin: 0 auto; 
}
.widthmax {
    width: 100%;
}
/*---------------------------

    ボタン

---------------------------*/
.btn {
    position: relative;
    display: inline;
}
.btn a {
    border: solid 1px #111111;
    border-radius: 999px;
    padding: 5px 45px;
    font-size: 1.6rem;
    background-color: #fff;
}
.btn a:after {
    position: absolute;
    content: "";
    background: url(../images/common/arrow.svg)no-repeat;
    background-size: cover;
    width: 18px;
    height: 18px;
    top: 5px;
    right: 15px;
    transition: .3s;
}
.btn:hover a:after {
    right: 10px;
}
@media screen and (max-width:780px) {
   .btn a {
        font-size: 1.3rem;
    } 
}
/*---------------------------

    画像出現アニメーション

---------------------------*/
.view{
    position: relative;
    overflow: hidden;
    display: block;
}
.view::after{
    content: "";
    position: absolute;
    inset: 0;
    background: #1a1a1a;
    transform: translateY(-100%);
    transition: transform .6s ease;
    z-index: 2;
}
.view img{
    display: block;
    width: 100%;
    transform: translateY(-100%);
    transition: transform .6s ease;
}
.view.js-on::after{
    transform: translateY(100%);
}
.view.js-on img{
    transform: translateY(0);
}
.view:nth-child(1) {
    margin-top: 250px;
}
.view:nth-child(1)::after{
    transition-delay: 0s;
}
.view:nth-child(1) img{
    transition-delay: .2s;
}
.view:nth-child(2) {
    margin-top: 125px;
}
.view:nth-child(2)::after{
    transition-delay: .2s;
}
.view:nth-child(2) img{
    transition-delay: .4s;
}
.view:nth-child(3)::after{
    transition-delay: .4s;
}
.view:nth-child(3) img{
    transition-delay: .6s;
}
@media screen and (max-width:780px) {
    .view:nth-child(1),
    .view:nth-child(2) {
        margin-top: 0px;
    }
}
/*---------------------------

    テキスト出現アニメーション

---------------------------*/
.reveal-title {
  overflow: hidden;
}
.reveal-subtitle {
  opacity: 0.9;
  overflow: hidden;
}
.char {
  display: inline-block;
}
/*---------------------------

    レイアウト

---------------------------*/
.flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
@media screen and (max-width:1150px) {
    .content {
        padding: 0 3%;
        box-sizing: border-box;
    }
}
@media screen and (max-width:780px) {
    .flex {
        display: block;
    }
    .content {
        padding: 0;
    }
}
/*---------------------------

    問い合わせエリア

---------------------------*/
.contact .image{
    width: 100%;
}
.contact {
    position: relative;
}
.contact .image a{
    display: block;
    transition: all .4s ease-in-out;
    filter: grayscale(1);
}
.contact .image img{
    width: 100%;
    vertical-align: middle;
}
.contact .image a:hover{
    filter: grayscale(0);
}
.contact h4 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: .4s;
}
.contact .image a:hover h4 {
    color: #fff;
}

/*---------------------------

   フッター

---------------------------*/
footer {
    text-align: center;
}
footer .flex {
    margin: 20px 0 100px 0;
}
footer .footer-link a {
    margin: 0 30px;
    font-size: 1.4rem;
}
footer img {
    width: 100px;
    margin-left: 30px;
}
@media screen and (max-width:780px) {
    footer img {
        margin: 0;
        width: 60px;
    }
    footer .footer-link a {
        font-size: 1.1rem;
        margin: 0 10px;
    }
    footer .flex {
    margin: 20px 0 60px 0;
}
}
/*---------------------------

   マウスストーカー

---------------------------*/
.follower {
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 0; 
  pointer-events: none;
  transform: translate(-50%,-50%);
  width: 25px;
  height: 25px;
  background-color: rgba(34, 143, 242, 0.6);
  z-index: 2000;
  transition: transform linear;
}
